CURLOPT_PREQUOTE(3)

NAME
CURLOPT_PREQUOTE - commands to run before FTP or SFTP transfer

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PREQUOTE, char *cmds);

DESCRIPTION
Pass a pointer to a linked list of FTP or SFTP commands to pass to the server after the transfer type is set. The linked list should be a fully valid list of struct curl_slist structs properly filled in as described for CURLOPT_QUOTE(3). Disable this operation again by setting a NULL to this option.

DEFAULT
NULL

PROTOCOLS
FTP and SFTP

EXAMPLE
TODO

AVAILABILITY
Along with the protocol support

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_QUOTE(3), CURLOPT_POSTQUOTE(3),